{% extends 'base_customer.html.twig' %}

{% block title %}Catalogue Reservation{% endblock %}

{% block body %}
    <section id="catalogue-common" class="container-fluid">
        <section class="container">
            <header class="row">
                <div class="col-12">
                    <h1 class="titre-catalogue">Catalogue</h1>
                    {{form_start(form)}}
                    {{ form_row(form.mots) }}
                    {{ form_row(form.interpreter) }}
                    {{ form_row(form.vinyle_genre) }}
                    {{ form_row(form.Rechercher) }}
                    {{ form_end(form) }}
                </div>
            </header>
            <div class="row">
                <div class="col-12">
                    <table class="table-vinyle-home" data-toggle="table" data-pagination="true" data-page-size="5">
                        <thead>
                            <tr>
                                <th>Id</th>
                                <th>Interprète</th>
                                <th>Titre</th>
                                <th>Disponible</th>
                                <th>Emprunteur</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for vinyle in vinyles %}
                            <tr>
                                <td data-label="id">{{ vinyle.id }}</td>
                                <td data-label="interprète">{{ vinyle.interpreter }}</td>
                                <td data-label="title">{{ vinyle.title }}</td>
                                <td data-label="disponibilité">{{ vinyle.avaibility ? 'Disponible' : 'Emprunté' }}</td>
                                <td class="emprunteur" data-label="emprunteur">{{ vinyle.borrower }}</td>
                                <td data-label="voir">
                                    <a href="{{ path('vinyle_show', {'id': vinyle.id}) }}">Voir</a>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="6">pas d'enregistrement</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>

                </div>
            </div>
        </section>
    </section>
    <a href="{{ path('basket_show') }}">Voir panier</a>
{% endblock %}
